[Overview][Classes][Procedures and functions][Index] | Reference for unit '_crw_tslist' (#crwlib)

# TSafeList

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: _crw_tslist.pas line 38

`type TSafeList = class(TLatch)`
`public`
`constructor Create;`
`destructor Destroy; override;`
`function RawList;`
`property Count: Integer; [r]`
`property Items []: Pointer; default; [rw]`
`function IndexOf();`
`function Add();`
`function Insert();`
`function Delete();`
`procedure Clear;`
`procedure Pack;`
`function Remove();`
`procedure Sort();`
`function First;`
`function Last;`
`function Move();`
`end;`

## Inheritance

`TSafeList`
`TLatch`
`TMasterObject`
`TObject`